//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-dependency-management-plugin/src/main/groovy/org/openscm/kundo/strategy/EclipseLoadDependenciesStrategy.groovy
//

package org.openscm.kundo.strategy;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import org.openscm.kundo.plugins.context.BuildContext;
import org.openscm.kundo.common.logging.SimpleLogger;

/**
 * Eclipse Load Dependencies Strategy
 *
 * @author <a href="mailto:ben.leedham@upco.co.uk">Ben Leedham</a>
 * @version 1.0.0

Description: Delegate to create scoped paths from the dependencies of a project
specified in eclipse metatdata.

<p>The eclipse load dependencies strategy reads dependency information from an eclipse .classpath file at a location set by
the kundo-project-plugin. Using that information it generates a separate path for each scope support by the
ant4eclipse Ant Tasks (currently: compile,runtime ). It the sets that path reference in the ant
project with the name of the artifact being built suffixed with the scope and .classpath. This can then be
retrieved at any time using the Build Context.

To turn on the eclipse strategies across the build use the project.helper.strategy=eclipse property

If your eclipse project makes use of classpath containers (e.g. JRE System Library)
then properties will need to be specified to resolve these in the build.properties
file for your project. An example for the JRE System Library would be

dependency-management.classpath.0.jardir=${java.home}/lib
dependency-management.classpath.0.recurse=true

This would recursively search the lib folder of your java install for jar files and add them to the classpath.</p>
 */
public class EclipseLoadDependenciesStrategy
    extends AbstractEclipseDependenciesStrategy
    implements LoadDependenciesStrategy
{
    private static final java.lang.String DEFAULT_ARTIFACT_LOCATION = null;

    private java.lang.String ps = null;

    private java.lang.String fs = null;

    private Map indexedProps = null;
    public Map getIndexedProps() {
        throw new InternalError("Stubbed method");
    }

    private EclipseLoadDependenciesStrategy(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        super((AntBuilder)null, (BuildContext)null);

        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor
     *
     * @param ant AntBuilder instance
     * @param buildContext BuildContext instance
     */
    public EclipseLoadDependenciesStrategy(AntBuilder ant, BuildContext buildContext) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable indexedProps
     *
     * @param indexedProps Map of aggregated properties objects containing additional classpath entries.
     */
    public void setIndexedProps(Map indexedProps) {
        throw new InternalError("Stubbed method");
    }

    /**
     * delegate implementation method to be called by doExecute
     */
    public void doLoadDependencies() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Method to create a String of pathSeparated file locations based on a base directory and an include pattern without recursion
     *
     * @param location String representation of a directory on the file system
     * @param include String representation of an include pattern
     * @return String a String of pathSeparated file locations
     */
    public java.lang.String createPath(java.lang.String location, java.lang.String include) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Method to create a String of pathSeparated file locations based on a base directory and an include pattern with optional recursion
     *
     * @param location String representation of a directory on the file system
     * @param include String representation of an include pattern
     * @param recurse String representation of whether directory should be searched recursively
     * @return String a String of pathSeparated file locations
     */
    public java.lang.String createPath(java.lang.String location, java.lang.String include, java.lang.String recurse) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Method to find the workspace location, currently searches for an environment variable if that doesn't exist
     * it looks in the current projects parent directory for a directory named .metadata if neither can be found
     * then a MissingPropertyException will be thrown.
     *
     * @param projectDir String representation of the current project's directory
     * @return String representation of the workspace containing the current projject and it's referenced projects
     * @throws MissingPropertyException if no workspace location can be identified
     */
    public java.lang.String findWorkspace(java.lang.String projectDir) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Implementation of abstract method from AbstractPluginTargetDelegate
     * to hold assertions that all global and local properties are available to the plugin.
     * This method is automatically called prior to execution.
     */
    public void doCheck() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Concrete implementation of the AbstractPluginTargetDelegate.execute() method
     */
    public void doExecute() {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
