package org.openscm.kundo.strategy

/*
 * Copyright (C) 2008 The Ultimate People Company Ltd ("UPCO").
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 
 
 
 /**
  * Install Deploy Strategy
  * @author <a href="mailto:ben.leedham@upco.co.uk">Ben Leedham</a>
  * @version 1.0.0
  * 
  * Description: The InstallDeployStrategy specifies the interface for different
  * install and deploy implementations
  */ 
 
 public interface InstallDeployStrategy{
	  
	  /**
	   * Method for installing or deploying an artifact
	   * Whether install or deploy is used depends on the pluginIdSuffix specified in plugin.groovy
	   */
	  void doInstallDeploy()
	 
 }